# Changelog

## 2025-01-01 - 1.1.2 - fix(core)
Fix file import paths and remove markdown syntax from README

- Corrected import paths for getInvoice utility
- Removed markdown syntax from README
- Fixed function parameter usage in encoder class

## 2024-12-31 - 1.1.1 - fix(documentation)
Updated documentation to reflect accurate module description and usage guidance

- Corrected description in package.json to better reflect the module's functionalities.
- Enhanced README with detailed setup and usage instructions.
- Included examples for embedding XML into PDFs and parsing XML data.

## 2024-12-30 - 1.1.0 - feat(core)
Add EInvoiceCreator class for generating ZUGFeRD/Factur-X XML

- Introduced EInvoiceCreator class to convert invoice data into ZUGFeRD/Factur-X XML.
- Updated development dependencies to enhance TypeScript support.
- Added SmartXML and TSClass plugins for XML handling and business logic.

## 2024-07-02 - 1.0.6 - fix(core)
Project files committed with initial structure and class implementation

- Added package.json with project dependencies and scripts
- Included guide in readme.md on how to install and use the module
- Implemented ts/plugins.ts for exporting native Node.js and third-party modules
- Defined interfaces in ts/interfaces.ts to represent the structure of invoices
- Created ts/index.ts to export interfaces and classes
- Implemented XInvoice class in ts/classes.xinvoice.ts with methods for embedding and extracting XML from PDFs
- Added test/test.ts for basic testing of the embed XML functionality

## 2024-04-22 - 1.0.3 to 1.0.5 - core
Minor updates and bug fixes.

- fix: core update in versions 1.0.3 and 1.0.4